<div *ngIf="warning" class="alert alert-warning" role="alert">
  You have no budgets to work with!
</div>

<div class="container">
  <div class="row">
    <div class="col">
      <h2>Budget review</h2>
    </div>
  </div>
  <div class="row preferences">
    <div class="col">
      <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
          <label class="input-group-text" for="inputBudgetSelect01">Budget</label>
        </div>
        <select [(ngModel)]="selectedBudget" (ngModelChange)="loadBudgetItems()" name="budgetSelect" class="custom-select" id="budgetSelect">
          <option disabled>Choose budget</option>
          <option *ngFor="let budget of budgets" [value]="budget.id" >{{budget.name}}</option>
        </select>
      </div>
    </div>
    <div class="col">
      <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
          <label class="input-group-text" for="inputBudgetItemSelect01">Budget item</label>
        </div>
        <select [(ngModel)]="selectedBudgetItem" (ngModelChange)="loadStatistic()" name="selectedBudgetItem" class="custom-select disabled" id="typeSelect">
          <option value="" disabled>Choose budget item</option>
          <option *ngFor="let budgetItem of budgetItems" [value]="budgetItem.id" >{{budgetItem.name}}</option>
        </select>
      </div>
    </div>
    <div class="col">
      <div class="input-group input-group-sm mb-3">
        <div class="input-group-prepend">
          <label class="input-group-text" for="inputGroupSelect01">Period</label>
        </div>
        <select class="custom-select" id="inputGroupSelect01">
          <option selected disabled>All</option>
        </select>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col">

      <table class="table">
        <thead class="thead-light">
          <tr>
            <th scope="col">Id</th>
            <th scope="col">Date</th>
            <th scope="col">Description</th>
            <th scope="col">Ammount</th>
          </tr>
        </thead>
        <tbody *ngIf="payments">
          <tr *ngFor="let payment of payments">
            <th scope="row">{{payment.id}}</th>
            <td>{{payment.created_at}}</td>
            <td>{{payment.description}}</td>
            <td>{{payment.amount}} $</td>
          </tr>
        </tbody>
      </table>

    </div>
  </div>

</div> <!-- /container -->
